Configures all face-specific options: face detection, mesh analysis, age, gender, emotion detection and face description

### Hierarchy

- GenericConfig
  - FaceConfig

## Index

### Properties

- antispoof
- description
- detector
- emotion
- enabled
- iris
- mesh
- modelPath
- skipFrames
- skipTime

## Properties

### antispoof

antispoof: Partial<FaceAntiSpoofConfig>

- Defined in src/config.ts:60

### description

description: Partial<FaceDescriptionConfig>

- Defined in src/config.ts:58

### detector

detector: Partial<FaceDetectorConfig>

- Defined in src/config.ts:55

### emotion

emotion: Partial<FaceEmotionConfig>

- Defined in src/config.ts:59

### enabled

enabled: boolean

Inherited from GenericConfig.enabled

- Defined in src/config.ts:7

property

  is module enabled?

### iris

iris: Partial<FaceIrisConfig>

- Defined in src/config.ts:57

### mesh

mesh: Partial<FaceMeshConfig>

- Defined in src/config.ts:56

### modelPath

modelPath: string

Inherited from GenericConfig.modelPath

- Defined in src/config.ts:9

property

  path to model json file

### skipFrames

skipFrames: number

Inherited from GenericConfig.skipFrames

- Defined in src/config.ts:11

property

  how many max frames to go without re-running model if cached results are acceptable

### skipTime

skipTime: number

Inherited from GenericConfig.skipTime

- Defined in src/config.ts:13

property

  how many max miliseconds to go without re-running model if cached results are acceptable